### Function

# Meta restart

#### Declaration [src]

    void
    meta_restart (
      const char* message,
      MetaContext* context
    )

#### Description [src]

Starts the process of restarting the compositor.

Note that Mutter’s involvement here is to make the restart visually smooth for the user - it cannot itself safely reexec a program that embeds libmuttter.

So in order for this to work, the compositor must handle two signals

- `MetaDisplay::show-restart-message`, to display the message passed here on the Clutter stage
- `MetaDisplay::restart` to actually reexec the compositor.

#### Parameters

`message`

  Type: `const char*`

  Message to display to the user, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`context`

  Type: `MetaContext`

  A `MetaContext`.

  The data is owned by the caller of the function.